Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

XULRunner Error / FireFox Will Not Load Since Most Recent Update

  • 5 replies
  • 327 have this problem
  • 19 views
  • Last reply by Cooperweb

more options

After the most recent FF update, FF will not load, citing the error message: "XULRunner / Error: Platform version '1.9.2.6' is not compatible with minVersion>=1.9.2.4 / maxVersion

After the most recent FF update, FF will not load, citing the error message: "XULRunner / Error: Platform version '1.9.2.6' is not compatible with minVersion>=1.9.2.4 / maxVersion

All Replies (5)

more options

Download a fresh copy of Firefox ( http://www.mozilla.com/firefox/all.html ) and do a reinstall of Firefox over the top of the current version. If that still causes the same problem then do a clean reinstall.


Do a clean reinstall and download a fresh Firefox copy from http://www.mozilla.com/firefox/all.html and save the file to the desktop. Uninstall your current Firefox version and remove the Firefox program folder before installing that copy of the Firefox installer. It is important to delete the Firefox program folder to remove all the files and make sure that there are no problems with files that were leftover after uninstalling. You can initially skip the step to create a new profile, that may not necessary for this issue. You can skip the step to create a new profile, that is not necessary for this issue. ..... See http://kb.mozillazine.org/Standard_diagnostic_-_Firefox#Clean_reinstall

more options

Thank you for your reply, Cor-el. I had already done as you suggested, including deleting the FF Program Files folder, and it did not solve the problem. Now I think that I may have discovered the conflict. FF loads correctly when I turn off my Zone Alarm Security Suite and simply use Windows Firewall, instead. It looks like I have to write to a ZA forum and ask whether they will be releasing an update soon that is compatible with the most recent version of FF.

Another problem I have been having since the most recent FF update is that it 'hangs'. I have installed the most recent version of Flash (btw). When I close FF and try to restart it, the pop-up error dialogue tells me that another Firefox process is running and that I have to close it first before opening a new FF process. However, 'end process' in Task Manager has no effect. The process remains running. The only solution is to reboot. Any ideas on this one?

Thanks for your help.

more options

This morning I updated to FF ver. 3.6.6, which has only just become available. Seems to have fixed the conflict issue with Zone Alarm!

more options

I had this problem as well, it wouldn't even open in safe mode or any other way, giving the same error.

Solution given here is a complete reinstallation as suggested in some replies above as well.

I went to my Firefox installation folder and opened this ini file in a text editor:

"C:\Program Files\Mozilla Firefox\application.ini"

I changed the value for MinVersion from 1.9.2.17 to 1.9.2.16 as follows:

  • [Gecko]
  • MinVersion=1.9.2.16
  • MaxVersion=1.9.2.17

Firefox started with some warning that it would do a complete instead of a partial upgrade, and after a while with no window at all (could see it running in task manager) it was up and running again! :)

Modified by msanjay75

more options

Had this problem as well and after mucking about, multiple downloads, multiple re-installs, I hit upon it.

My guess is there is an orphaned registry entry that refuses to use the XUL downloaded with 7.1 or any version.

So .. remove and start new install. (Remove using the Helper.exe in the folder.)

Choose custom install and change the name of the installation folder. (I just removed Mozilla and pointed to C:\Program Files\Firefox\ )

Viola. It then has to rewrite the entries to point to the new install folder thus correcting the XUL.dll location.

Keith Cooper cooperweb.com